package com.qf.pojo.sdk;

import java.util.List;
import java.util.Map;

/**
 * 渠道支付结果更新通知请求
 * @ClassName NotifyReq
 * @author sunhy@bw30.com
 * @date 2015-1-15 下午09:58:35
 */
public class NotifyReq extends QfReqBase {
	/** 计费通道标识 */
	private String payType;
	/** CP订单号，数字，字母，敏感，8～24位 */
	private String cpOrderId;
	/** 渠道支付订单号 */
	private String tradeSn;
	/** 渠道支付状态，非0标识失败 0：成功 */
	private Integer status;
	/** 渠道支付结果 */
	private String code;
	/** 充值金额，单位：分 */
	private Integer amount;
	/** 币种，可选值： CNY：人民币（默认） USD：美元 EUR：欧元 */
	private String currency;
	/** 商品名 */
	private String productName;
	/** CP透传数据 */
	private String cpData;
	/** 扩展信息 */
	private Map<String, String> extInfo;
	
	public String getPayType() {
		return payType;
	}
	public void setPayType(String payType) {
		this.payType = payType;
	}
	public String getCpOrderId() {
		return cpOrderId;
	}
	public void setCpOrderId(String cpOrderId) {
		this.cpOrderId = cpOrderId;
	}
	public String getTradeSn() {
		return tradeSn;
	}
	public void setTradeSn(String tradeSn) {
		this.tradeSn = tradeSn;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public Integer getAmount() {
		return amount;
	}
	public void setAmount(Integer amount) {
		this.amount = amount;
	}
	public String getCurrency() {
		return currency;
	}
	public void setCurrency(String currency) {
		this.currency = currency;
	}
	public String getProductName() {
		return productName;
	}
	public void setProductName(String productName) {
		this.productName = productName;
	}
	public String getCpData() {
		return cpData;
	}
	public void setCpData(String cpData) {
		this.cpData = cpData;
	}
	public Map<String, String> getExtInfo() {
		return extInfo;
	}
	public void setExtInfo(Map<String, String> extInfo) {
		this.extInfo = extInfo;
	}

	@Override
	public List<String> verify() {
		List<String> lostFields = super.verify();
		
		if (payType == null || payType.isEmpty()) lostFields.add("payType");
		if (cpOrderId == null || cpOrderId.isEmpty()) lostFields.add("cpOrderId");
		if (amount <= 0) lostFields.add("amount");
		
		return lostFields;
	}
	
	@Override
	public String toString() {
		return "NotifyReq [appId=" + appId + ", channelId=" + channelId
				+ ", deviceId=" + deviceId + ", payType=" + payType
				+ ", cpOrderId=" + cpOrderId + ", tradeSn=" + tradeSn
				+ ", status=" + status + ", code=" + code + ", amount="
				+ amount + ", currency=" + currency + ", productName="
				+ productName + ", cpData=" + cpData + ", extInfo=" + extInfo
				+ "]";
	}

}
