package com.qf.pojo.sdk;

import java.util.HashMap;

/**
 * 充值下单请求JSON类
 * @author Administrator
 *
 */
public class PayReq extends QfReqBase{
	/** 支付通道标识 */
	private String payType;
	/** CP订单号 */
	private String cpOrderId;
	/** 充值金额，单位：分 */
	private Integer chargeAmount;
	/** 消费金额，单位：分，默认：0 */
	private Integer consumeAmount;
	/** 币种，可选： RMB(人民币;默认),USD(美元),EUR(欧元) */
	private String currency;
	/** 商品名 */
	private String product;
	/** 支付回调地址 */
	private String callBackUrl;
	/** CP透传参数 */
	private String extra;
	/** 游戏服务器 */
	private String gameServerZone;
	/** 支付参数	 
	 * 非银行卡卡类型 cardtype
	 * 非银行卡卡号 cardseq
	 * 非银行卡卡密 cardpass
	 * 非银行卡卡面额 cardamount
	 * (mo9)用户所在地区 mo9payerloc
	 * 用户唯一标识(Android:IMSI) uuid
	 * 平台内部处理下单及通知解析标记 internalFlag 0 内部订单 non-0 外部订单
	 * */
	private HashMap<String, String> payInfo;
	
	public String getPayType() {
		return payType;
	}
	public void setPayType(String payType) {
		this.payType = payType;
	}
	public String getCpOrderId() {
		return cpOrderId;
	}
	public void setCpOrderId(String cpOrderId) {
		this.cpOrderId = cpOrderId;
	}
	public Integer getChargeAmount() {
		return chargeAmount;
	}
	public void setChargeAmount(Integer chargeAmount) {
		this.chargeAmount = chargeAmount;
	}
	public Integer getConsumeAmount() {
		return consumeAmount;
	}
	public void setConsumeAmount(Integer consumeAmount) {
		this.consumeAmount = consumeAmount;
	}
	public String getCurrency() {
		return currency;
	}
	public void setCurrency(String currency) {
		this.currency = currency;
	}
	public String getProduct() {
		return product;
	}
	public void setProduct(String product) {
		this.product = product;
	}
	public String getCallBackUrl() {
		return callBackUrl;
	}
	public void setCallBackUrl(String callBackUrl) {
		this.callBackUrl = callBackUrl;
	}
	public String getExtra() {
		return extra;
	}
	public void setExtra(String extra) {
		this.extra = extra;
	}
	public String getGameServerZone() {
		return gameServerZone;
	}
	public void setGameServerZone(String gameServerZone) {
		this.gameServerZone = gameServerZone;
	}
	public HashMap<String, String> getPayInfo() {
		return payInfo;
	}
	public void setPayInfo(HashMap<String, String> payInfo) {
		this.payInfo = payInfo;
	}
	@Override
	public String toString() {
		return "PayReq [payType=" + payType + ", cpOrderId=" + cpOrderId
				+ ", chargeAmount=" + chargeAmount + ", consumeAmount="
				+ consumeAmount + ", currency=" + currency + ", product="
				+ product + ", callBackUrl=" + callBackUrl + ", extra=" + extra
				+ ", gameServerZone=" + gameServerZone + ", payInfo=" + payInfo
				+ "]";
	}
	
}
