package com.qf.pojo.sdk;

import java.util.List;
import java.util.Vector;

import com.qf.pojo.sdk.inner.Device;

/**
 * 清风流域业务中心与SDK交互接口，SDK请求基础父类
 * @ClassName QfReqBase
 * @author sunhy@bw30.com
 * @date 2015-1-14 下午06:23:12
 */
public class QfReqBase {
	/** 游戏ID */
	protected String appId;
	/** 渠道ID */
	protected String channelId;
	/** 设备号，md5(imei+androidid) */
	protected String deviceId;
	/** 用户机型，见{@link Device} */
	protected Device device;
	
	public String getAppId() {
		return appId;
	}
	public void setAppId(String appId) {
		this.appId = appId;
	}
	public String getChannelId() {
		return channelId;
	}
	public void setChannelId(String channelId) {
		this.channelId = channelId;
	}
	public String getDeviceId() {
		return deviceId;
	}
	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}
	public Device getDevice() {
		return device;
	}
	public void setDevice(Device device) {
		this.device = device;
	}
	
	public List<String> verify() {
		Vector<String> lostFields = new Vector<String>();
		
		if (appId == null || appId.isEmpty()) lostFields.add("appId");
		if (channelId == null || channelId.isEmpty()) lostFields.add("channelId");
		if (deviceId == null || deviceId.isEmpty()) lostFields.add("deviceId");
		if (device == null) lostFields.add("device");
		
		return lostFields;
	}
	
}
